---
title: Sevval Bulburu
published: true
taxonomy:
    category: [iaeste2023]
    tag: [hatespeech,nlp]
    author: Daniel Hladek
---

Sevval Bulburu


IAESTE Intern Summer 2023, two months

Goal: Help with the [Hate Speech Project](/topics/hatespeech)

Meeting 22.8.2023

State:

- Familiar with Python, Anaconda, Tensorflow, AI projects

Tasks:

- Get familiar with the task of Hate speech detection. Find out how can we use Transformer neural networks to detect and categorize hate speech in internet comments created by random people.
- Get familiar with the basic tools: Huggingface Transformers, Learn how to use https://huggingface.co/Andrazp/multilingual-hate-speech-robacofi in Python script. Learn something about Transformer neural networks.
- get familiar with  Prodi.gy annotation tool.
- Set up web-based annotation environment for students (open, cooperation with [Vladimir Ferko](/students/2021/vladimir_ferko) ).


Future tasks (to be decided):

- Evaluate existing multilingual model. E.G. https://huggingface.co/Andrazp/multilingual-hate-speech-robacofi with slovak data
- Translate existing English dataset into Slovak. Use OPUS English Slovak Marian NMT model. Train Slovak munolingual model.
- Prepare existing Slovak Twitter dataaset, trainm evaluate a model.



