---
title: Nikita Bodnár
published: true
taxonomy:
    category: [vp2023,bp2024]
    tag: [chatbot,rasa,dialog,nlp]
    author: Daniel Hladek
---


rok začiatku štúdia: 2021

# Bakalárska práca 2024

Korekcia textu pomocou neurónových sietí-

Spolupráca: Maroš Harahus

Návrh na zadanie BP:

- Oboznámte sa s existujúcimi systémami pre neurónový strojový preklad. 
- Naučte sa používať vybraný systém pre strojový preklad.
- Aplikujte existujúci model na opravu textu vo vybraných úlohách.
- Vyhodnnotte model pomocou overovacej množiny.


Stav:

Existuje model Marian NMT rep korekciu. 

Stretnutie 3.7.

Úloha:

- Zistite ako funguje strojový preklad.
- Zistite ako funguje neurónová sieť typu Transformer.
- Prečítajte si článok Hládek: "Survey of Automatic Spelling Correction" a urobte si poznámky.
- Prečítajte si knihu https://d2l.ai/ 
- Vaše zistenia zapíšte do textového súboru. Pridajte odkazy na zdroje - odborné články a blogy.

- Oboznámiť sa zo systémom Marian NMT. Nainštalujte si to a vyskúšajte nejaké demo na strojový preklad. 
- Získajte prístup na školský server idoc.
- Nainštalujte si systém Anaconda a prejdite si knihu Dive  into Pyhton 3.



Zásobník úloh:

- Vyskúšaje natrénovať model Marian NMT podľa návodu na stránke.
- Získajte od vedúceho skripty pre trénovanie Marian NMT na úlohu korekcie textu.
- Podľa nich natrénujte a vyhodnotte model.
- Zistite s akými parametrami model pracuje najlepšie. Skúste model vylepšiť.
- Vypracujte webové demo.

